/******************************************************************
This file contains the source code for peripheral devices attached to the
uController. The attached devices may be part of a module.
******************************************************************/
#include "periphDev.h"
#include "main_BasicLCDsetup.h" 
#include <math.h>

double voltage_x1000;

void initADC (int mask)
{
    AD1PCFG     =    mask;
    AD1CON1    =    0x00E0;
    AD1CSSL      =    0;
    AD1CON2    =    0;
    AD1CON3    =    0x1F02;
    AD1CON1bits.ADON = 1;
}

void readADC (int ch)   
{   
	AD1CHS = ch;   
	AD1CON1bits.SAMP = 1;   
	while (!AD1CON1bits.DONE);             
	voltage_x1000 = ADC1BUF0; 
}

/***************************************************************
                                             -READTEMP-
The function ReadTemp(), reads the analog signal from a thermistor
and converts it to digital using the ADC from the microcontroller.
***************************************************************/

void ReadTemp (void)
{
/*******************************************************************

double coeffA = 1.12502978660429E-03;
double coeffB = 2.35057162160341E-04;
double coeffC = 7.85661432368816E-08;
double coeffD = 3.95309964792414E-11;

double Rt, TempC, ADCVal;
int TempCi;
Rt = ((1023.0/ADCVal)-1)*10000.0; //10000 is the value of R21 on PCB
TempC = (1/(coeffA+(coeffB*(log(Rt)))+(coeffC * (exp(log(Rt)),3))))-273.15;
TempCi = (int)TempC;
*********************************************************************/
}

void readVolt (void)
{



}
